Change IOS image from IPBASE to Enterprise Base

Unanswered Question
Jul 22nd, 2009

Hi NetPro,

i would like to know about the Switch / Router . if the IOS image initially using IPBASE, (flash:c2800nm-ipbasek9-mz.124-3e.bin) , i plan to upgrade to c2800nm-entbasek9-mz.124-24.T1.bin .

will this causing problem or the hardware is not compatible to this ios image ?

your reply will be highly appreciated.



I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Roman Rodichev Wed, 07/22/2009 - 22:21

there will be no problems and the hardware is compatible with this IOS image

Theoratically you're supposed to have purchased enterprise services IOS, but until cisco implements license keys in ISR routers, everyone is still doing this, download and install whatever IOS you want, even TAC can recommend this to you without mentioning license

Are you sure you need enterprise image? What features are are you looking for?



ney25 Wed, 07/22/2009 - 22:28

Hi Roman,

Basically i'm in the midst of planing IOS upgrade for those switches and routers.

before i must make sure these switches and routers must be able to bootup after ios upgrade.

basically i am looking for the SSH v2 enable for crypto usage only.

so, from your above statement, eventhough i am using ipbase image it will not causing problem if i switch over to enterprise base . isn't it ?

nate-miller Thu, 07/23/2009 - 05:30

If the only thing you need is crypto, just download a new IP Base feature with crypto- it'll have K9 somewhere in the string.

Putting enterprise is a license violation, so I'd stick to base if you're not looking for other functionality.

Alvaro Garcia Thu, 07/23/2009 - 06:37

I would recommend you to open a TAC case so you can have an engineer confirming that the new IOS is going to support the hardware on your devices. On switches it may be an easy task but on routers that contains modules and cards you would have to confirm that each piece is supported.

If you want someone doing that job for you, open a TAC case. =0)

Richard Burts Thu, 07/23/2009 - 07:42


In your original post you give this as the image that you are running: c2800nm-ipbasek9-mz.124-3e.bin. The k9 in the image name indicates that this image already supports the crypto for SSH. The router is running 12.4 mainline code. I have routers running 12.4 mainline that are doing SSHv2. So I am puzzled why you think that you need to change the IOS.

Another comment is that as long as you stay in the same versions of code (same major release (12.3, 12.4, etc)) and in the same code train (mainline or T train, or whatever) then I would not expect any issue with compatibility with hardware. The thing that might potentially cause a problem is that the Enterprise feature set requires more memory and more flash than the base feature set. So you should check the available memory and available flash before you plan the kind of upgrade that you ask about.




This Discussion